Debian Bug report logs - #279812
RM: sfio -- RoQA: rc-buggy, unmaintained, almost no users

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Fri, 5 Nov 2004 06:18:58 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen Zander <gibreel@debian.org>, <wnpp@debian.org>:
Bug#279812; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Stephen Zander <gibreel@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: sfio -- Enhanced library for managing I/O streams.
Date: Fri, 05 Nov 2004 07:08:39 +0100
Package: wnpp
Severity: normal

The current maintainer of sfio, Stephen Zander <gibreel@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: sfio
Binary: sfio-dev, sfio1999, sfio2000
Version: 2000-4
Priority: optional
Section: devel
Maintainer: Stephen Zander <gibreel@debian.org>
Build-Depends: debhelper (>= 4.0.2), ed
Architecture: any
Standards-Version: 3.5.6
Format: 1.0
Directory: pool/main/s/sfio
Files: ea3b8b1548b9c935c3911f359d6ec75b 727 sfio_2000-4.dsc
 947763fbba34cc2de16e226f6be0eda6 377458 sfio_2000.orig.tar.gz
 9402133a13f67b9e15eb8cb8b0556f61 21988 sfio_2000-4.diff.gz

Package: sfio-dev
Priority: optional
Section: devel
Installed-Size: 732
Maintainer: Stephen Zander <gibreel@debian.org>
Architecture: i386
Source: sfio
Version: 2000-4
Replaces: sfio1998-dev
Depends: sfio2000 (= 2000-4)
Conflicts: sfio1998-dev
Filename: pool/main/s/sfio/sfio-dev_2000-4_i386.deb
Size: 184256
MD5sum: 96ebd13247d50d3be9c07909f044bcf9
Description: Enhanced library for managing I/O streams (development).
 Sfio is a portable library for managing I/O streams. It provides similar
 functionality to the ANSI C Standard I/O functions known collectively as
 Stdio. However, it has a distinct interface and is generally faster and
 more robust than most Stdio implementations. Sfio also introduces a number
 of new features and concepts beyond Stdio stream I/O processing:
 .
  * Automatic locking to avoid concurrent stream accesses,
  * I/O disciplines to pre/post-process read/write data from/to streams,
  * Stream stacking for recursive processing of nested streams,
  * Stream pooling for automatic stream synchronization when I/O operations
    are performed on different streams,
  * Buffer reservation for safe access to the internal buffers of streams,
  * Robust handling of variable-sized records, and
  * Extensible printf/scanf-like formatting I/O operations.

Package: sfio1999
Priority: optional
Section: libs
Installed-Size: 168
Maintainer: Stephen Zander <gibreel@debian.org>
Architecture: i386
Source: sfio
Version: 2000-4
Depends: libc6 (>= 2.2.4-4)
Conflicts: sfio
Filename: pool/main/s/sfio/sfio1999_2000-4_i386.deb
Size: 56978
MD5sum: e9a096810ea1bf36340ba9b647888dd8
Description: Enhanced library for managing I/O streams.
 Sfio is a portable library for managing I/O streams. It provides similar
 functionality to the ANSI C Standard I/O functions known collectively as
 Stdio. However, it has a distinct interface and is generally faster and
 more robust than most Stdio implementations. Sfio also introduces a number
 of new features and concepts beyond Stdio stream I/O processing.

Package: sfio2000
Priority: optional
Section: libs
Installed-Size: 304
Maintainer: Stephen Zander <gibreel@debian.org>
Architecture: i386
Source: sfio
Version: 2000-4
Depends: libc6 (>= 2.2.4-4)
Conflicts: sfio
Filename: pool/main/s/sfio/sfio2000_2000-4_i386.deb
Size: 115532
MD5sum: 83d918b00077abb3740da4afbcad9f87
Description: Enhanced library for managing I/O streams.
 Sfio is a portable library for managing I/O streams. It provides similar
 functionality to the ANSI C Standard I/O functions known collectively as
 Stdio. However, it has a distinct interface and is generally faster and
 more robust than most Stdio implementations. Sfio also introduces a number
 of new features and concepts beyond Stdio stream I/O processing.

Justification: Mail bouncing for 3 months, last upload half a year ago



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#279812; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Oliver Kiddle <okiddle@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 279812@bugs.debian.org (full text, mbox):

From: Oliver Kiddle <okiddle@yahoo.co.uk>
To: 279812@bugs.debian.org
Subject: O: sfio -- Enhanced library for managing I/O streams.
Date: Mon, 05 Dec 2005 16:55:20 +0100
If there is any interest in sfio, let me know. It would be best handled
as part of the same package as ksh. Ksh (also from AT&T) uses sfio and
the source is largely distributed as a single tarball. Being a new
maintainer, I wanted to keep things simple by just packaging ksh but all
the AT&T utilities (such as nmake etc) could be built from one source
package.

Oliver Kiddle


This e-mail and any attachment is for authorised use by the intended recipient(s) only. It may contain proprietary material, confidential information and/or be subject to legal privilege. It should not be copied, disclosed to, retained or used by, any other party. If you are not an intended recipient then please promptly delete this e-mail and any attachment and all copies and inform the sender. Thank you.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#279812; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 279812@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 279812@bugs.debian.org
Subject: Remove as not used and not maintained anymore
Date: Wed, 19 Jul 2006 11:29:24 +0200
[Message part 1 (text/plain, inline)]
reassign 279812 ftp.debian.org
retitle 279812 RM: sfio -- RoQA: rc-buggy, unmaintained, almost no users
thanks mate

RC bug, last version is more than 500 days old, only 5 votes according
to popcon.

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 279812-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 279812-close@bugs.debian.org
Cc: sfio@packages.debian.org, sfio@packages.qa.debian.org
Subject: Bug#279812: fixed
Date: Wed, 19 Jul 2006 05:38:04 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      sfio |     2000-5 | source
  sfio-dev |     2000-5 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  sfio1999 |     2000-5 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  sfio2000 |     2000-5 | alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 279812@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 14:21:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:49:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.